| GL Studio C++ Runtime API

Public Member Functions | Friends | List of all members
GlsMultiView::ViewData Class Reference

`#include <gls_multi_view.h>`

Inheritance diagram for GlsMultiView::ViewData:

## Public Member Functions
| ViewData (const ViewData &)
| Copy constructor.
const ViewData & | operator= (const ViewData &)
void | CopyBaseData (const ViewData &other)
DistiAttribDict & | Attributes ()
virtual void | NotifyAttributeChanged (const AttributeName &name) DISTI_METHOD_OVERRIDE
void | SetScreenRect (float bottom, float left, float top, float right)
void | GetScreenRect (float *bottom, float *left, float *top, float *right) const
void | Bottom (const float &)
| Set the bottom value.
float | Bottom () const
void | Left (const float &)
| Set the left value.
float | Left () const
void | Top (const float &)
| Set the top value.
float | Top () const
void | Right (const float &)
| Set the right value.
float | Right () const
void | AbsolutePixels (const bool &)
bool | AbsolutePixels () const
void | EyePoint (GlsEyePoint *)
| Sets the eyepoint to view from. When NULL, the parent view is used.
void | ClearBackground (const int &)
int | ClearBackground () const
void | PickGeometry (const bool &)
bool | PickGeometry () const
void | Visible (bool)
| Set the visibility of this view .
bool | Visible () const
void | Pickable (bool)
bool | Pickable () const
void | DesiredEyePoint (const GlsPropString &)
| Set the name of the view's eyepoint.
GlsPropString | DesiredEyePoint () const
GlsEyePoint * | GetEyePoint (const DisplayObject *heirarchiedObject)
void | ForceEyePointReload ()
| Forces eyepoint reload, causes the multi view to trigger a redraw.
OpenGLMatrices | SavedMatrices () const
Public Member Functions inherited from AttributeChangedNotifier
virtual void | NotifyAttributeChanged (const AttributeName &name)=0
virtual | ~AttributeChangedNotifier ()

## Friends
class | GlsMultiView
class | GlsMultiViewEditor

## Detailed Description

The ViewData class. Describes a single view within GlsMultiView.

## Member Function Documentation

## ◆ AbsolutePixels() [1/2]

bool AbsolutePixels | ( |  | ) | const

Get the absolute pixels flag. When true, the Left-Right-Top-Bottom values are interpreted as pixel coordinates, otherwise they are percentage of screen space.

Returns
  the current absolute pixels flag

## ◆ AbsolutePixels() [2/2]

void AbsolutePixels | ( | const bool & |  | ) |

Set the absolute pixels flag. When true, the Left-Right-Top-Bottom values are interpreted as pixel coordinates, otherwise they are percentage of screen space.

## ◆ Attributes()

DistiAttribDict & Attributes | ( |  | ) |
| inline

Returns
  The attribute dictionary for this view.

## ◆ Bottom()

float Bottom | ( |  | ) | const

Returns
  The bottom value.

## ◆ ClearBackground() [1/2]

int ClearBackground | ( |  | ) | const

Returns
  The clear background mode.

## ◆ ClearBackground() [2/2]

void ClearBackground | ( | const int & |  | ) |

Sets the clear background mode 0 == Don't Clear; 1 == Clear both; 2 == Depth only; 3 == Color only

See also
  ClearBackgroundEnum

## ◆ CopyBaseData()

void CopyBaseData | ( | const ViewData & | other | ) |

Copies the baseline data from the other view object. This does not include derived or cached values (like matrices / object pointers).

Parameters

  other | The object to copy from.

## ◆ DesiredEyePoint()

GlsPropString DesiredEyePoint | ( |  | ) | const

Returns
  The name of the view's eyepoint.

## ◆ GetEyePoint()

GlsEyePoint * GetEyePoint | ( | const DisplayObject * | heirarchiedObject | ) |

Finds the eyepoint or returns a previously found one. It will be based on the _desiredEyePoint.

Parameters

  heirarchiedObject | The point in the hierarchy to start searching for the eyepoint.

Returns
  A pointer to the found eyepoint, else NULL.

## ◆ GetScreenRect()

void GetScreenRect | ( | float * | bottom,
|  | float * | left,
|  | float * | top,
|  | float * | right
| ) |  | const

Returns the current screen rectangle.

Parameters

  bottom | The returned bottom corner of the view rectangle.
  left | The returned left corner of the view rectangle.
  top | The returned top corner of the view rectangle.
  right | The returned right corner of the view rectangle.

## ◆ Left()

float Left | ( |  | ) | const

Returns
  The left value.

## ◆ NotifyAttributeChanged()

virtual void NotifyAttributeChanged | ( | const AttributeName & | name | ) |
| virtual

Notify the class that the attribute has changed. Observers of the attribute will have their callbacks called

Parameters

  name | the name of the attribute

Implements AttributeChangedNotifier.

## ◆ operator=()

const ViewData & operator= | ( | const ViewData & |  | ) |

Assignment operator

Returns
  The resulting object (this).

## ◆ Pickable() [1/2]

bool Pickable | ( |  | ) | const

Returns
  The pickability of this view.

## ◆ Pickable() [2/2]

void Pickable | ( | bool |  | ) |

Set if this view is pickable. If true, and PickGeometry() is false, the view area will be picked.

## ◆ PickGeometry() [1/2]

bool PickGeometry | ( |  | ) | const

Returns
  The pick geometry flag.

## ◆ PickGeometry() [2/2]

void PickGeometry | ( | const bool & |  | ) |

Sets the pick geometry flag When true, the geometry will be traversed with Pick3D in this view.

## ◆ Right()

float Right | ( |  | ) | const

Returns
  The right value.

## ◆ SavedMatrices()

OpenGLMatrices SavedMatrices | ( |  | ) | const

Returns
  the cached OpenGL matrices from the previous frame's draw

## ◆ SetScreenRect()

void SetScreenRect | ( | float | bottom,
|  | float | left,
|  | float | top,
|  | float | right
| ) |  |

Sets the Screen Rectangle The screen rect is specified in 0.0-1.0 as a ratio of the available viewport e.g. 0.0, 0.0, 1.0, 1.0 uses the full screen.

Parameters

  bottom | The bottom corner of the view rectangle.
  left | The left corner of the view rectangle.
  top | The top corner of the view rectangle.
  right | The right corner of the view rectangle.

## ◆ Top()

float Top | ( |  | ) | const

Returns
  The top value.

## ◆ Visible()

bool Visible | ( |  | ) | const

Returns
  The visibility of this view.

The documentation for this class was generated from the following file:

- gls_multi_view.h